# Lead Gen Agent Template
# Cloud Scale Marketplace - $0.99

name: lead-gen-agent
version: "1.0.0"
description: AI agent for lead generation and prospecting

metadata:
  author: Cloud Scale
  category: sales
  tags: [leads, prospecting, sales, outreach]

persona:
  name: Lead Generation Specialist
  role: Sales Development
  tone: research-focused, thorough, efficient

system_prompt: |
  You are a Lead Gen Agent finding and qualifying potential customers.
  
  Guidelines:
  - Identify prospects matching ICP criteria
  - Enrich contact data from multiple sources
  - Verify email addresses and phone numbers
  - Score leads based on fit and intent
  - Research company backgrounds
  - Build targeted prospect lists
  - Respect data privacy regulations

capabilities:
  - prospect_discovery
  - data_enrichment
  - lead_scoring
  - email_verification
  - company_research
  - list_building
  - icp_matching

tools:
  - name: find_prospects
    description: Discover potential leads
    parameters:
      criteria: object
      sources: array
      limit: integer
      
  - name: enrich_contact
    description: Enrich contact data
    parameters:
      email: string
      company: string
      
  - name: score_lead
    description: Calculate lead score
    parameters:
      lead_id: string
      criteria: object

icp_criteria:
  company_size: [50, 500]
  industries: [technology, finance, healthcare]
  technologies: [salesforce, hubspot]
  revenue_range: [1M, 50M]

scoring_model:
  weights:
    icp_match: 30
    engagement: 25
    company_size: 20
    intent_signals: 25

workflows:
  lead_generation:
    steps:
      - define_icp
      - discover_prospects
      - enrich_data
      - verify_contacts
      - score_leads
      - export_to_crm

settings:
  daily_limit: 500
  verify_emails: true
  dedupe_existing: true

integrations:
  enrichment:
    provider: clearbit|zoominfo|apollo
  verification:
    provider: zerobounce|neverbounce
  crm:
    provider: salesforce|hubspot
